Fatal error: Call to undefined method __PHP_Incomplete_Class::asOfTime() in /srv/mediawiki/php-1.29.0-wmf.11/includes/libs/rdbms/ChronologyProtector.php on line 327
Closed, ResolvedPublic

Description

Starting to see this, paradoxically, as I'm rolling forward php-1.29.0-wmf.12.

Related to: T158127 T157831

Looks like @aaron 's idea of versioning the key yesterday might be a better fix for these

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2017, 6:05 PM
thcipriani triaged this task as Unbreak Now! priority.

Raising to UBN, added as a 1.29.0-wmf.12 train blocker.

Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptFeb 15 2017, 6:06 PM
Krinkle assigned this task to aaron.Feb 15 2017, 8:28 PM

@aaron in the task description I was referring to https://gerrit.wikimedia.org/r/#/c/337730/1

Would backporting that and its corresponding change in ChronologyProtector.php fix the issues I'm seeing?

Gilles moved this task from Inbox to Next-up on the Performance-Team board.Feb 15 2017, 8:48 PM

Change 338005 had a related patch set uploaded (by Aaron Schulz):
Add version to ChronologyProtector key

https://gerrit.wikimedia.org/r/338005

Change 338005 merged by jenkins-bot:
Add version to ChronologyProtector key

https://gerrit.wikimedia.org/r/338005

Change 338016 had a related patch set uploaded (by Thcipriani):
Add version to ChronologyProtector key

https://gerrit.wikimedia.org/r/338016

Change 338016 merged by jenkins-bot:
Add version to ChronologyProtector key

https://gerrit.wikimedia.org/r/338016

Mentioned in SAL (#wikimedia-operations) [2017-02-15T22:55:29Z] <thcipriani@tin> Synchronized php-1.29.0-wmf.12/includes/libs/rdbms/ChronologyProtector.php: [[gerrit:338016|Add version to ChronologyProtector key]] T158217 (duration: 00m 41s)

thcipriani closed this task as Resolved.Feb 16 2017, 12:14 AM

Seems to have fixed the error in group0. Thanks for the quick work.